Query and filter for commitment line items.
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/v2/lineitems \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"dimensions": [
{
"name": "<string>",
"filter": [
"<string>"
],
"attributes": [
"<string>"
]
}
],
"limit": 1000
}
'import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/v2/lineitems"
payload = {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"dimensions": [
{
"name": "<string>",
"filter": ["<string>"],
"attributes": ["<string>"]
}
],
"limit": 1000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
dimensions: [{name: '<string>', filter: ['<string>'], attributes: ['<string>']}],
limit: 1000
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/v2/lineitems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"values": [
{
"updatedDate": "2023-11-07T05:31:56Z",
"dimensions": {
"account": "<string>",
"accountName": "<string>",
"accountId": "<string>",
"parentAccountCode": "<string>",
"parentAccountName": "<string>",
"parentAccountId": "<string>",
"childAccountId": "<string>",
"description": "<string>",
"productName": "<string>",
"quantityUnit": "<string>",
"subtotalUnit": "<string>",
"convertedSubtotalUnit": "<string>",
"billId": "<string>",
"externalInvoiceReference": "<string>",
"commitmentId": "<string>",
"billLineItemId": "<string>"
},
"measures": {
"convertedSubtotal": 123,
"subtotal": 123,
"version": 123,
"conversionRate": 123,
"quantity": 123,
"units": 123
},
"billDetails": {
"day": 123,
"week": "<string>",
"year": 123,
"month": "<string>",
"locked": "<string>",
"status": "<string>",
"dueDate": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"servicePeriodStartDate": "<string>",
"servicePeriodEndDate": "<string>",
"billDate": "<string>",
"timezone": "<string>",
"yearMonth": "<string>",
"billCurrency": "<string>",
"billingFrequency": "<string>"
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Query and filter for commitment line items.
Query and filter for commitment line items.
POST
/
organizations
/
{orgId}
/
dataexplorer
/
commitments
/
v2
/
lineitems
Query and filter for commitment line items.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization.
Body
application/json
Data Explorer commitments query.
ISO 8601 formatted start date for the commitment.
ISO 8601 formatted end date for the commitment.
Dimensions to filter by. The only valid dimension is 'account'.
Maximum array length:
100Show child attributes
Show child attributes
Limit the number of data points returned
Required range:
1 <= x <= 2000Response
Returns a list of commitment line items.
Response containing bill line items.
A list of bill line items.
Show child attributes
Show child attributes
⌘I